al_set_display_icons(3)

NAME

al_set_display_icons - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_set_display_icons(ALLEGRO_DISPLAY *display,
       int num_icons, ALLEGRO_BITMAP *icons[])

DESCRIPTION

Changes the icons associated with the display (window). Multiple icons can be provided for use in different contexts, e.g. window frame, taskbar, alt-tab popup. The number of icons must be at least one.

    Note: If the underlying OS requires an icon of a size not provided then one of the bitmaps will be scaled up or down to the required size. The choice of bitmap is implementation dependent.

SINCE

5.0.9, 5.1.5

SEE ALSO

al_set_display_icon(3), al_set_window_title(3)